# Updates issue generator

A project to turn RSS update feeds into new issues in the projects that depend on them.

## Usage

Create a file called `config.py`, which should contain a list `FEED\_READERS`. The
list should contain one or more feed readers (`issue_generator.FeedReader`), which
in turn contain an issue poster (`issue_generator.IssuePoster`).

The reader will check up on the RSS feed and compare against a local folder with the
last version of the software it saw (stored at `~/.config/issue_generator` or
`$XDG_CONFIG_DIR/issue_generator` by default). Then, if the version differs (it doesn't
sort them, just compare equality), it opens an issue with the corresponding issue poster.

See the documentation of each feed reader and issue poster with `import issue_generator`,
`help(issue_generator)` to see how each parameter works.

## Example configuration file

Example:
```python
from issue_generator import GithubReader, GitlabPoster

FEED_READERS = [
    # Post an issue on Gitlab.com for new releases of Gitea
    GithubReader(name    = "gitea",
                 project = "gitea-go/gitea",
                 target  = GitlabPoster(project = 65536, # your project id here
                                        token   = "qwerty-secret-token"))
]
```
